#ifndef ZOOMEDIT_INSTANCE_H_
#define ZOOMEDIT_INSTANCE_H_

#include <gtkmm/main.h>
#include <libglademm/xml.h>
#include "Gui/Window.h"

namespace ZoomEdit {

class Instance {
  public:
    virtual ~Instance();
    
    static bool create();
    
  private:
    static guint instances;
    
    Glib::RefPtr<Gnome::Glade::Xml> xml;
    Gui::Window *window;
    
    Instance();
    
    void destroy();
    
    // Prevent shallow copy
    Instance(const Instance &o);
    const Instance& operator=(const Instance &o);
};

}

#endif /*ZOOMEDIT_INSTANCE_H_*/
